<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Octolys Development		                                     */
/*		email : thelia@octolys.fr		        	                             	 */
/*      web : http://www.octolys.fr						   							 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/

include_once(realpath(dirname(__FILE__)) . "/../../../classes/Baseobj.class.php");

class Prodvirtuel_commande extends Baseobj {

	public $id;
	public $prodvirtuel;
	public $commande;
	public $token;

	const TABLE = "prodvirtuel_commande";

	public  $table = self::TABLE;

	public $bddvars = array("id", "prodvirtuel", "commande", "token");

	function __construct($token = "") {

		parent::__construct();

		if ($token != "") $this->charger($token);
	}

	public function charger($token){
		return $this->getVars("select * from $this->table where token=\"$token\"");
	}

	public function init() {

		$query =
			"CREATE TABLE IF NOT EXISTS `prodvirtuel_commande` (
			 `id` INT NOT NULL auto_increment,
			 `prodvirtuel` INT NOT NULL ,
			 `commande` INT NOT NULL ,
			 `token` TEXT NOT NULL ,
			PRIMARY KEY (  `id` )
			) AUTO_INCREMENT=1 ;";

		$this->query($query);
	}

	public function destroy() {
		// Rien
	}
}
?>