<?php

include_once(realpath(dirname(__FILE__)) . "/../../../fonctions/authplugins.php");

autorisation("prodvirtuel");

include_once(realpath(dirname(__FILE__)) . "/AdminProdvirtuel.class.php");

if(isset($_REQUEST['ref'])) {

	$pv_adm = new AdminProdvirtuel($_REQUEST['ref']);

	if (isset($_REQUEST['pv_action']) && $_REQUEST['pv_action'] == "supprimer_prodvirtuel") {

		$pv_adm->supprimer(intval($_REQUEST['pv_id']));

		$redirecturl = $_SERVER['PHP_SELF']."?ref=".$pv_adm->objproduit->ref."&rubrique=".$pv_adm->objproduit->rubrique."&lang=$lang#prodvirtuel";

		?>
		<script type="text/javascript">
			window.location = "<?php echo $redirecturl ?>";
		</script>
		<?php
		exit();
	}

	?>

	<script type="text/javascript">

		var adm_base = "<?php echo basename(dirname($_SERVER['PHP_SELF'])); ?>";

		function pv_uploader() {
			window.open(
				'../client/plugins/prodvirtuel/telecharger.php?ref=<?php echo($pv_adm->objproduit->ref); ?>&adm_base='+adm_base,
				'prodvirtuel',
				'scrollbars=yes, resizable=yes, width=650, height=200'
			);
		}

		function pv_supprimer() {
			return confirm("Supprimer ce fichier ?");
		}
	</script>

	<a name="prodvirtuel"></a>

	<div class="entete">
		<div class="titre" style="cursor:pointer" onClick="$('#pliantprodvirtuel').show('slow');">PRODUIT VIRTUEL</div>
	</div>

	<table style="margin: 0; width: 100%">
		<?php
		$listepv = $pv_adm->liste_fichiers_produit();

		$style = "claire";

		if (count($listepv) == 0) { ?>

	        <tr class="fonce">
	    		<td colspan="3" style="padding: 5px;">
	    			<p>Vous n'avez pas encore associé de fichier à ce produit.</p>
		    	</td>
	        </tr>

		<?php } else {

			foreach($listepv as $pv) {
			?>
				<tr class="<?php echo $style ?>">
					<td style="padding: 5px;">
				    	<?php echo $pv->nom; ?>
				    </td>

				    <td style="padding: 5px;">
				    	<a href="<?php echo $pv->get_url_fic_virtuel(); ?>" target="_blank">Voir le fichier</a>
				    </td>

				    <td style="padding: 5px;">
				    	<a href="produit_modifier.php?ref=<?php echo $pv_adm->objproduit->ref; ?>&rubrique=<?php echo $pv_adm->objproduit->rubrique; ?>&pv_action=supprimer_prodvirtuel&pv_id=<?php echo $pv->id ?>" onclick="return pv_supprimer();" title="Supprimer le fichier">
					    	<img src="gfx/supprimer.gif" />
					    </a>
					</td>
				</tr>
			<?php
				$style = ($style == "claire" ? "fonce" : "claire");
			}
		}
		?>
        <tr class="<?php echo $style ?>">
    		<td colspan="3" style="padding: 5px;">
    			<a href="#" onclick="pv_uploader(); return false;">Ajouter un fichier au produit</a>
	    		</td>
        </tr>
	</table>

	<div class="blocs_pliants_prod" id="plianttemplatesalaspsip">
		<div class="bloc_fleche" style="cursor:pointer" onClick="$('#pliantprodvirtuel').hide();"><img src="gfx/fleche_accordeon_up.gif" /></div>
	</div>

<?php } ?>