<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Octolys Development		                                     */
/*		email : thelia@octolys.fr		        	                             	 */
/*      web : http://www.octolys.fr						   							 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/

include_once(realpath(dirname(__FILE__)) . "/../../../fonctions/authplugins.php");

autorisation("prodvirtuel");

include_once(realpath(dirname(__FILE__)) . "/AdminProdvirtuel.class.php");

$adm_base = $_REQUEST['adm_base'];

$erreur = false;

if (isset($_REQUEST['action']) && $_REQUEST['action'] == "ajouter") {

	$adm = new AdminProdvirtuel($_REQUEST ['ref']);

	$erreur = $adm->ajouter($_FILES['fic_prodvirtuel']['name'], $_FILES['fic_prodvirtuel']['tmp_name']);

	if ($erreur === false) {
		?>
		<script type="text/javascript">
			alert("Votre fichier est pris en compte");
			self.opener.location.reload();
			self.close();
		</script>
		<?php
	}
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>THELIA / BACK OFFICE</title>

	<link href="../../../<?php echo $adm_base; ?>/styles.css" rel="stylesheet" type="text/css">
</head>

<body>
<div id="bloc_description" style="margin: 20px;">

	<div class="entete">
		<div class="titre">PRODUIT VIRTUEL : Ajouter un fichier</div>
	</div>

	<form action="<?php echo($_SERVER['PHP_SELF']); ?>" method="post" ENCTYPE="multipart/form-data">

		<input type="hidden" name="action" value="ajouter" />
		<input type="hidden" name="adm_base" value="<?php echo $adm_base ?>" />
		<input type="hidden" name="ref" value="<?php echo $_REQUEST['ref']; ?>">

		<table width="100%" border="0" cellpadding="0">
			<?php if ($erreur !== false) { ?>
			<tr class="fonce">
                <td colspan="2" style="font-weight: bold; padding: 5px;"><?php echo $erreur; ?></td>
            </tr>
			<?php } ?>

			<tr class="clairebottom">
				<td class="designation" style="padding: 5px;">Ajouter un fichier:</td>
				<td  style="padding: 5px;">
					<input type="file" name="fic_prodvirtuel" class="form">
					<input type="submit" value="Ajouter">
				</td>
			</tr>
		</table>
	</form>
</div>
</body>
</html>
